# Thông tin trạng thái kết bạn

1. Body

<table><thead><tr><th>Name</th><th width="359">Type</th><th>Description</th></tr></thead><tbody><tr><td>service</td><td>contact</td><td></td></tr><tr><td>method</td><td>friendRequestStatus</td><td></td></tr><tr><td>data</td><td><pre class="language-json"><code class="lang-json"><strong>{
</strong>  "accountId": "262941598338491044",
<strong>  "toId": "6709205003906760985"
</strong>}
</code></pre></td><td></td></tr></tbody></table>

2. Response

{% tabs %}
{% tab title="200" %}

```json
{
    "data": {
        "error_message": "Successful.",
        "data": {
            "addFriendPrivacy": 0, // Đánh dấu bạn thân hay không - 1/0
            "is_requesting": 0, // Đối phương đã gửi kết bạn hay chưa - 1/0
            "is_friend": 1, // Đã là bạn bè hay không - 1/0
            "is_requested": 0 // Người dùng đã gửi kết bạn hay chưa - 1/0
        },
        "error_code": 0
    },
    "status": "success"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "status": "error",
    "error": {
        "message": "Something wrong was happened.",
        "code": null,
        "prms": null
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.salework.net/salework-tai-lieu/salework-zalo-open-api/contact/thong-tin-trang-thai-ket-ban.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
